Get a Case
GET
/api/v1/projects/{projectId}/cases/{caseId}
const url = 'https://api.yggy.tech/api/v1/projects/example/cases/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/projects/example/cases/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
caseId
required
string
Responses
Section titled “ Responses ”Case
Media type application/json
object
id
required
string
projectId
required
string
title
required
string
summary
required
string | null
status
required
string
visibility
required
string
ownerUserId
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "status": "open", "visibility": "personal"}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Forbidden
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Case not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}